import java.util.ArrayList;

class Example {
    public Example() {
	values = new ArrayList<Double>();
    }

    public Example(ArrayList<Double> v) {
	values = v;
    }

    private ArrayList<Double> values;

    public void add(double value) {
	values.add(new Double(value));
    }

    public void add(Double value) {
	values.add(value);
    }

    public Example clone() {
	Example ex = new Example();
	for(Double v : values)
	    ex.add(v);

	return ex;
    }

    public double get(int i) {
	return (double) values.get(i);
    }

    public void set(int i, double v) {
	values.set(i, v);
    }

    public int size() {
	return values.size();
    }

    public String toString() {
	String res = "";

	if (values.size() > 0) {
	    for(Double value : values)
		res += value + " ";
	}

	return res;
    }

}
