/*******************************
 
 Author : Sebastien Verel
 Date   : 2014/04/14
 
 Licence : LGPLv3
 
 
 
 *********************************/
import java.util.ArrayList;

public class Main {
	
	/***
	 *
	 *    Tests of data frame
	 *
	 ***/
	public static void testDataFrame() {
		// test of dataframe
		DataFrame data = new DataFrame("example1.csv");
		
		System.out.println(" Data frame complet:");
		System.out.print(data);
		
	}
	
	/***
	 *
	 *    Tests of k-means
	 *
	 ***/
	public static void testKmeans() {
	    // test of dataframe
	    DataFrame data = new DataFrame("example1.csv");
	    
	    // 
	    Kmeans kmeans = new Kmeans();

	    int [] cluster = kmeans.run(data, 2);

	    for(int i = 0; i < cluster.length; i++) {
		System.out.print(cluster[i] + " " + data.getExample(i) + "\n");		
	    }
	}
	
	/***
	 *
	 *    The Main
	 *
	 ***/
	public static void main(String[] args) {
		// test : remove when you have understood
		testDataFrame();
		
		// Where you have something to do
		testKmeans();
	}
	
}
